slepc-3.10.1 2018-10-23
Report Typos and Errors

# DSGetArrayReal

Returns a pointer to one of the internal arrays used to represent real matrices. You MUST call DSRestoreArrayReal() when you no longer need to access the array.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSGetArrayReal(DS ds,DSMatType m,PetscReal *a[])

Not Collective

### Input Parameters

| ds | - the direct solver context
| m | - the requested matrix

### Output Parameter

| a | - pointer to the values

### See Also

DSRestoreArrayReal(), DSGetArray()

Location: src/sys/classes/ds/interface/dsops.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages